<?php
/*
Plugin Name: Privacy Offload GDPR, CCPA compliance
Plugin URI: https://github.com/datalocker/wp-poplugin
Description: A complete solution to all the global or local compliances. Powerful dashboard to visualize all the users activity and stats around privacy.
Version: 3.3
Contributors: ashu3496
Author: Privacy Offload
Author URI: https://profiles.wordpress.org/ashu3496
License: apache2
License URI: https://www.apache.org/licenses/LICENSE-2.0
Text Domain: po-plugin
Domain Path:  /languages
*/

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

define('PRIVACY_OFFLOAD_PLUGIN_DIR_PATH', plugin_dir_path(__FILE__));
define('PRIVACY_OFFLOAD_PLUGIN_BASENAME', plugin_basename(__FILE__));
define('PRIVACY_OFFLOAD_PLUGIN_DIR_URL', plugin_dir_url(__FILE__));
define('PRIVACY_OFFLOAD_ADMIN_PORTAL_BASE_URL', 'https://admin.privacyoffload.com');
define('PRIVACY_OFFLOAD_APIS_BASE_URL', 'https://kgxnk5blv9.execute-api.us-east-1.amazonaws.com/prod');
define('PRIVACY_OFFLOAD_MAIN_PLUGIN_FILE', __FILE__);

function privacy_offload_extract_website_name()
{
    $base_name = get_site_url();
    $base_name = str_replace("http://", "", $base_name);
    $base_name = str_replace("https://", "", $base_name);
    $base_name = str_replace("http://www.", "", $base_name);
    $base_name = str_replace("https://www.", "", $base_name);
    $base_name = str_replace("/", "", $base_name);
    define('PRIVACY_OFFLOAD_WEB_BASE_NAME', $base_name);
}
privacy_offload_extract_website_name();
function privacy_offload_style_and_scripts()
{
    wp_register_style('privacy-offload-menu-page-style', plugins_url('/css/po-menu-page.css', __FILE__));
}
add_action('admin_enqueue_scripts', 'privacy_offload_style_and_scripts');

include(PRIVACY_OFFLOAD_PLUGIN_DIR_PATH . '/activation.php');
include(PRIVACY_OFFLOAD_PLUGIN_DIR_PATH . '/includes/onboarding.php');
include(PRIVACY_OFFLOAD_PLUGIN_DIR_PATH . '/includes/custom-menu.php');
include(PRIVACY_OFFLOAD_PLUGIN_DIR_PATH . '/includes/foot-links.php');
