<?php

function privacy_offload_menu_and_submenu_pages()
{
  $menuPageSlug = 'po-menu-page';
  add_menu_page(
    // __('Privacy Offload Admin Portal', 'po-plugin'),
    __('', 'po-plugin'),
    __('Privacy Offload', 'po-plugin'),
    'manage_options',
    $menuPageSlug,
    'privacy_offload_menu_page_content',
    'dashicons-privacy',
    30
  );
}

function privacy_offload_menu_page_content()
{
  // Double check user capabilities
  if (!current_user_can('manage_options')) {
    return;
  }
?>
  <div class="wrap">
    <h1><?php esc_html_e(get_admin_page_title()); ?></h1>
    <?php include('po-menu-page.php'); ?>
    <!--<h1>To view the dashboard, please login to <a href='https://admin.dev.consentmgr.privacyncrypt.com'>Privacy Offload</a> </h1>
  </div> -->
  <?php
}

function fetch_privacy_offload_onboarding_script()
{
  $org_id = get_option('poplugin_registered_org');
  if (get_option('poplugin_user_exists') == null) {
    update_option('poplugin_user_exists', 'no');
    return PRIVACY_OFFLOAD_ADMIN_PORTAL_BASE_URL . '/register?orgId=' . $org_id;
  }

  if (get_option('poplugin_user_exists') == 'no') {
    $response = privacy_offload_http_post(
      PRIVACY_OFFLOAD_APIS_BASE_URL . '/admin/user/registered',
      array('org_id' => $org_id)
    );

    if ($response->isRegistered == true) {
      update_option('poplugin_user_exists', 'yes');
      return PRIVACY_OFFLOAD_ADMIN_PORTAL_BASE_URL;
    } else {
      return PRIVACY_OFFLOAD_ADMIN_PORTAL_BASE_URL . '/register?orgId=' . $org_id;
    }
  }
  return PRIVACY_OFFLOAD_ADMIN_PORTAL_BASE_URL;
}

add_action('admin_menu', 'privacy_offload_menu_and_submenu_pages');
