<?php
function privacy_offload_do_onboarding()
{
  $website_url = get_site_url();
  $org_id = get_option('poplugin_registered_org');

  $response = privacy_offload_http_post(
    PRIVACY_OFFLOAD_APIS_BASE_URL . '/admin/wp/onboard',
    array('website' => $website_url, 'org_id' => $org_id)
  );
  if ($response->script == null) {
    die;
  }
  return urldecode($response->script);
}

function privacy_offload_url_to_alias($url)
{
  $tempUrl = str_replace('www.', '', $url);
  $tempUrl = str_replace('https://', '', $tempUrl);
  $tempUrl = str_replace('http://', '', $tempUrl);

  $lastIndex = strripos($tempUrl, '.');
  $alias = substr($tempUrl, 0, $lastIndex);
  return $alias;
}

function privacy_offload_http_post($url, $body)
{
  $args = array(
    'body'        => json_encode($body),
    'timeout'     => '45',
    'blocking'    => true,
  );
  $response = wp_remote_post($url, $args);
  // if one omits below assignment, json_decode($response['body']) breaks: Object of class stdClass could not be converted to string
  $bodyString = $response['body'];
  $responseObj = json_decode($bodyString);
  return $responseObj;
}

function privacy_offload_onboarding_javascript()
{
  $script = get_option(PRIVACY_OFFLOAD_WEB_BASE_NAME . '_onboard_script');
  if ($script == null) {
    $script = privacy_offload_do_onboarding();
    update_option('update_onboard_script', 'reached' . $script);
    update_option(PRIVACY_OFFLOAD_WEB_BASE_NAME . '_onboard_script', $script);
  }
  echo $script;
}

add_action('wp_head', 'privacy_offload_onboarding_javascript', 10);
